SeoTemplateProductsOne:
  get:
    tags:
      - cms_seo_template_products
    operationId: getSeoTemplateProduct
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\SeoTemplateProductsController@get'
    summary: Get the object of SeoTemplateProduct by ID
    description: Get the object of SeoTemplateProduct by ID
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/seo_template_products.yaml#/SeoTemplateProductResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'
SeoTemplateProductsSearch:
  post:
    tags:
      - cms_seo_template_products
    operationId: searchSeoTemplateProducts
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\SeoTemplateProductsController@search'
    x-lg-skip-request-generation: true
    summary: Search for objects of SeoTemplateProduct
    description: Search for objects of SeoTemplateProduct
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/seo_template_products.yaml#/SearchSeoTemplateProductsRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/seo_template_products.yaml#/SearchSeoTemplateProductsResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'
SeoTemplateProductsMeta:
  get:
    tags:
      - cms_seo_template_products
    operationId: getSeoTemplateProductsMeta
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\SeoTemplateProductsController@meta'
    summary: Getting a list of available fields
    description: Getting a list of available fields
    responses:
      "200":
        $ref: '../../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Numeric ID
  example: 1
